aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/mk-gpg-texi
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/mk-gpg-texi46
1 files changed, 46 insertions, 0 deletions
diff --git a/scripts/mk-gpg-texi b/scripts/mk-gpg-texi
new file mode 100755
index 000000000..45a811742
--- /dev/null
+++ b/scripts/mk-gpg-texi
@@ -0,0 +1,46 @@
+#!/bin/sh
+# Helper to create the texinfo versions from gpg.sgml
+#
+# Copyright (C) 2002 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+set -e
+
+for file in gpg gpgv; do
+ sgml2xml -x lower ${file}.sgml >${file}.xml
+ docbook2texi ${file}.xml | sed 's,--,---,' | (
+ case "$file" in
+ *gpgv)
+ sed '/@setfilename/a \
+@dircategory GnuPG\
+@direntry\
+* gpgv: (gpgv). GnuPG signature verification tool.\
+@end direntry
+'
+ ;;
+
+ gpg)
+ sed '/@setfilename/a \
+@dircategory GnuPG\
+@direntry\
+* gpg: (gpg). GnuPG encryption and signing tool.\
+@end direntry
+'
+ ;;
+
+ *)
+ cat
+ ;;
+ esac
+ ) >${file}.texi
+done
+
+
+